
Ryzom - Bug # 538

Status: Closed Priority: Normal
Author: sfb Category: Build
Created: 05/11/2009 Assignee: sfb
Updated: 09/30/2010 Due date:
Subject: End of Line style is incorrect in SVN.
Description

The eol-style for SVN should be set to "native" for all text/source files. This will prevent future CR->CRLF corruptions when multiple
platforms and/or editors are involved in working on the source.

The command to accomplish this is:

svn propset eol-sytle native filename.txt

History
#1 - 05/20/2009 03:54 pm - sfb

Here is an example script that may accomplish this. We probably want additional file extensions in there such as:

    -  htm
    -  html
    -  txt
    -  cfg
    -  php

#! /bin/sh
for i in `find . -name ‘*.cpp’ \
    -or -name ‘*.c’ -or -name ‘*.h’`
do
    unix2dos $i
    svn propset svn:eol-style native $i
done

#2 - 05/28/2009 02:40 pm - sfb
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1563.

#3 - 05/28/2009 02:42 pm - sfb
- Status changed from Resolved to Closed
- Estimated time set to 1.50

Using a variation of the script I posted (I added some more file extensions) I updated the property and filtered the files to fix any lingerly CR->CRLF
issues.
#4 - 09/29/2010 09:41 pm - kervala
- Project changed from NeL to Ryzom
- Category changed from Build to Build
- Target version deleted (Version 0.7.0)

#5 - 09/30/2010 02:41 pm - kervala
- Target version set to Version 0.7.0
